<div class="row">
  <div class="clr-form-control col input-form">
      <button class="btn btn-outline" (click)="addPopupTache()" *ngIf="b_admin">
          <clr-icon shape="plus" class="icon-spaced"></clr-icon> Ajouter
      </button>
  </div>
</div>
<clr-datagrid class="datagrid-tache">
    <clr-dg-column>STATUT</clr-dg-column>
    <clr-dg-column>LIBELLE</clr-dg-column>
    <clr-dg-column>TITRE</clr-dg-column>
    <clr-dg-column>UTILISATEUR</clr-dg-column>
    <clr-dg-column>JOURS</clr-dg-column>
    <clr-dg-column></clr-dg-column>

    <clr-dg-row *ngFor="let tache of tachesProjet">
        <clr-dg-cell>{{ getStatus(tache.id_status) }}</clr-dg-cell>
        <clr-dg-cell>{{ tache.libelle }}</clr-dg-cell>
        <clr-dg-cell>{{ tache.titre }}</clr-dg-cell>
        <clr-dg-cell>{{ getUtilisateur(tache.id_utilisateur) }}</clr-dg-cell>
        <clr-dg-cell>{{ tache.nb_jours}}</clr-dg-cell>
        <clr-dg-cell>
            <button class="btn btn-outline" (click)="deletePopupTache(tache)" *ngIf="b_admin"><clr-icon shape="times" class="icon-spaced"></clr-icon></button>
            <button class="btn btn-outline" (click)="editPopupTache(tache)" *ngIf="b_admin"><clr-icon shape="bars" class="icon-spaced"></clr-icon></button>
        </clr-dg-cell>
    </clr-dg-row>
</clr-datagrid>

<clr-wizard #wizardmd [(clrWizardOpen)]="popupTache" clrWizardSize="lg">
  <clr-wizard-title>Ajout d'une tâche</clr-wizard-title>

  <clr-wizard-button [type]="'cancel'">Annuler</clr-wizard-button>
  <clr-wizard-button [type]="'previous'">Retour</clr-wizard-button>
  <clr-wizard-button [type]="'next'">Suite</clr-wizard-button>
  <clr-wizard-button [type]="'finish'" (click)="saveTache(tache, typeSave)">Ajouter</clr-wizard-button>

  <clr-wizard-page>
      <ng-template clrPageTitle>Description</ng-template>
      <form class="clr-form">
          <div class="row">
              <div class="clr-form-control col input-form">
                  <label for="libelle" class="clr-control-label">Libellé</label>
                  <div class="clr-control-container">
                      <div class="clr-input-wrapper">
                          <input type="text" name="libelle" [(ngModel)]="tache.libelle" class="clr-input">
                      </div>
                      <span class="clr-subtext">Ex: "BUG-01"</span>
                  </div>
              </div>
          </div>
          <div class="row">
              <div class="clr-form-control col input-form">
                  <label for="titre" class="clr-control-label">Titre</label>
                  <div class="clr-control-container">
                      <div class="clr-input-wrapper">
                          <input type="text" name="titre" [(ngModel)]="tache.titre" class="clr-input follow-desc">
                      </div>
                  </div>
              </div>
          </div>
          <div class="row">
              <div class="clr-form-control col input-form">
                  <label for="description" class="clr-control-label">Description</label>
                  <div class="clr-control-container">
                      <div class="clr-input-wrapper">
                          <textarea class="clr-textarea" name="description" [(ngModel)]="tache.description"></textarea>
                      </div>
                  </div>
              </div>
          </div>
      </form>            
  </clr-wizard-page>

  <clr-wizard-page>
      <ng-template clrPageTitle>Utilisateur</ng-template>
      <form>
          <div class="row">
              <div class="clr-form-control col input-form">
                  <label class="clr-control-label">Status de la tâche</label>
                  <div class="clr-control-container clr-error">
                      <div class="clr-select-wrapper">
                          <select class="clr-select" style="margin-right: 25px;" name="status" [(ngModel)]="tache.id_status">
                              <option value="null">...</option>
                              <option *ngFor="let status of listTacheStatus" [value]="status.id">{{status.libelle}}</option>
                          </select>
                      </div>
                  </div>
              </div>
          </div>
          <div class="row">
              <div class="clr-form-control col input-form">
                  <label class="clr-control-label">Utilisateur</label>
                  <div class="clr-control-container clr-error">
                      <div class="clr-select-wrapper">
                          <select class="clr-select" style="margin-right: 25px;" name="utilisateur" [(ngModel)]="tache.id_utilisateur">
                              <option value="null">...</option>
                              <option *ngFor="let utilisateur of utilisateurs" [value]="utilisateur.id">{{utilisateur.nom}} {{utilisateur.prenom}}</option>
                          </select>
                      </div>
                  </div>
              </div>
          </div>
          <div class="row">
              <div class="clr-form-control col input-form">
                  <label for="nb_jours" class="clr-control-label">Nombre de jour prévu</label>
                  <div class="clr-control-container">
                      <div class="clr-input-wrapper">
                          <input type="number" name="nb_jours" [(ngModel)]="tache.nb_jours" class="clr-input">
                      </div>
                  </div>
              </div>
          </div>
      </form>
  </clr-wizard-page>
</clr-wizard>